summaryrefslogtreecommitdiff
blob: 02b77bc54dd485f5967e9e7157ab4dccb7ab7413 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
This patch searches the jre 17 binary in the gentoo specific directories.

Signed-off-by: Martin Dummer <martin.dummer@gmx.net>

--- a/bin/signal-cli
+++ b/bin/signal-cli
@@ -118,13 +118,19 @@
 
 
 # Determine the Java command to use to start the JVM.
-if [ -n "$JAVA_HOME" ] ; then
-    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
-        # IBM's JDK on AIX uses strange locations for the executables
-        JAVACMD=$JAVA_HOME/jre/sh/java
-    else
-        JAVACMD=$JAVA_HOME/bin/java
-    fi
+# This package needs Java 17,
+# so we must search for matching java binaries
+for I in /usr/lib*/openjdk-17 /opt/openjdk-bin-17 /opt/openjdk-jre-bin-17; do
+	J_TRY="$I/bin/java"
+	if [ -x "$J_TRY" ] ; then
+		"$J_TRY" -version 2>&1 | grep --fixed-strings --quiet "17."
+		if [ $? -eq 0 ] ; then
+			JAVACMD="$J_TRY"
+			break
+		fi
+	fi
+done
+if [ -n "$JAVACMD" ] ; then
     if [ ! -x "$JAVACMD" ] ; then
         die "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME